Client versions above 10.8.6 unusable

Issues with the DDNet client.
See the already reported problems on Github.

User avatar
deen
Retired Administrator
Posts: 3274
Joined: Mon May 05, 2014 2:30 pm
Player profile: deen

Re: Client versions above 10.8.6 unusable

Post by deen » Fri Apr 13, 2018 10:31 pm

Please set logfile "client.log", start and close the client and send the log file.

User avatar
Ravie
User
Posts: 373
Joined: Sat Feb 04, 2017 5:04 am
Player profile: Ravie
Mapper profile: Ravie
Clan: TOP

Re: Client versions above 10.8.6 unusable

Post by Ravie » Fri Apr 13, 2018 10:43 pm

Here
Attachments
client.log
(1.8 KiB) Downloaded 14 times
Image

Chairn
User
Posts: 386
Joined: Sat Apr 11, 2015 5:05 pm
Player profile: Chairn
Clan: QuintessenZ

Re: Client versions above 10.8.6 unusable

Post by Chairn » Fri Apr 13, 2018 11:15 pm

Try with the 32 bits version maybe.

Pathos
User
Posts: 176
Joined: Wed Jun 17, 2015 4:30 pm

Re: Client versions above 10.8.6 unusable

Post by Pathos » Mon Apr 16, 2018 2:29 am

What else was changed alongside OpenGL upgrade?

GG Kid
User
Posts: 253
Joined: Sun Apr 16, 2017 2:33 am
Location: U.S.A.
Player profile: Bolto
Clan: Kerger

Re: Client versions above 10.8.6 unusable

Post by GG Kid » Mon Apr 16, 2018 3:46 am


ᴷᵉᵏᶳ
User
Posts: 33
Joined: Fri Oct 20, 2017 4:33 pm
Player profile: ᴷᵉᵏᶳ
Mapper profile: ᴷᵉᵏᶳ
Clan: ΛLIVΣ

Re: Client versions above 10.8.6 unusable

Post by ᴷᵉᵏᶳ » Fri Apr 20, 2018 2:26 am

Ok i found the bug,

https://stackoverflow.com/questions/346 ... s-opengl-2

It's a driver bug from Intel and seems, like its not fixable, except removing DPI awareness manifest, now comes the classic time i would ask @deen if he wants to keep this, or remove it. But you are lucky, because deen will remove it :P

User avatar
deen
Retired Administrator
Posts: 3274
Joined: Mon May 05, 2014 2:30 pm
Player profile: deen

Re: Client versions above 10.8.6 unusable

Post by deen » Mon May 07, 2018 9:15 pm

Sorry, I was on vacation and missed the update. Please try the nightly: https://ddnet.tw/news/nightly-builds/

User avatar
Ravie
User
Posts: 373
Joined: Sat Feb 04, 2017 5:04 am
Player profile: Ravie
Mapper profile: Ravie
Clan: TOP

Re: Client versions above 10.8.6 unusable

Post by Ravie » Mon May 07, 2018 10:12 pm

It works fine now, thank you a lot!
Image

User avatar
Ravie
User
Posts: 373
Joined: Sat Feb 04, 2017 5:04 am
Player profile: Ravie
Mapper profile: Ravie
Clan: TOP

Re: Client versions above 10.8.6 unusable

Post by Ravie » Sun May 13, 2018 6:57 pm

Actually DDNet 11.1.5 (nightly) works perfectly, but the issue is back in the official 11.1.7 release.
Image

User avatar
deen
Retired Administrator
Posts: 3274
Joined: Mon May 05, 2014 2:30 pm
Player profile: deen

Re: Client versions above 10.8.6 unusable

Post by deen » Sun May 13, 2018 7:32 pm

Yep, 11.1.6 should also work fine for you. So the questions is how many people are affected by this problem and do we really need to distribute two executables for that?

Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest